{% extends "users/userspace.html" %}

{% block content %}
    <div class="container my-5">
        {% if not account_confirmed %}
            <div class="alert alert-warning">
                Attention : vous n'avez pas encore confirmé votre adresse email. Cela vous empêche notamment
                d'enregistrer
                votre adhésion, ou bien de commander des paniers. De plus, les comptes non confirmés sont supprimés
                au bout de 15 jours après leur inscription.<br><br>

                Pour corriger ce problème, rendez-vous sur votre boîte mail {{ user.email }}, ouvrez notre message de
                demande de confirmation d'email et cliquez sur le lien fourni. Si vous ne trouvez pas le message, pensez
                à
                consulter vos spams, ou renvoyez un lien avec le bouton ci-dessous.<br>

                <button class="btn btn-primary mt-3" id="send_confirmation_email_btn">
                    Renvoyer l'email de confirmation
                </button>
            </div>
        {% endif %}

        {{ ACCUEIL_UTILISATEUR_INFOS|safe }}

        {% if next_distribution is None %}
            <h3 class="mt-5">
                Bienvenue, {{ user.first_name }} !
            </h3>
            <p class="text-center fs-4 fw-bold mt-4">
                Vous n'avez pas commandé de panier(s) ! Pour commencer, rendez-vous
                <a href="{% url 'register_adherent_distributions' %}">
                    ici.
                </a>
            </p>
        {% else %}
            <h3 class="mt-5">
                Bon retour parmi nous, {{ user.first_name }} !
            </h3>

            <div class="card mt-4 mx-3">
                <h2 class="card-header">
                    Prochaine livraison le {{ next_distribution.date_heure|date:"d/m/Y" }}
                </h2>
                <div class="card-body">
                    <h5 class="card-text">Produits commandés :</h5>
                    <ul class="list-group list-group-flush">
                        {% for product_id, product_info in produits_next_distribution.items %}
                            <li class="list-group-item">
                                {{ product_info.amount }} x {{ product_info.name }}
                            </li>
                        {% endfor %}
                    </ul>

                </div>
            </div>
            {% comment %}
        Prochaines distributions, inscription à l'aide à la distribution, paiements dûs

        [si aucun contrats : vous n'avez pas de contrats, rendez-vous (ici) pour souscrire]
        {% endcomment %}
        {% endif %}


        <div class="alert alert-secondary mt-5 px-4">
            <h4 class="mb-3">Qui veut nous aider ? 😃</h4>
            À l'AMAP, on est une petite équipe de gens gentils et motivé.e.s, mais on risque tous de devoir partir
            bientôt en divers stages, échanges ou autres aventures, certains dès le semestre prochain !<br>
            <br>
            Voilà pourquoi on vous lance un appel : si tu trouves ce projet chouette, si tu aimes les biscuits
            de la Miecyclette, manger des fondues de poireaux, ou juste que tu t'ennuies et que tu veux
            donner un coup de main, tu es bienvenu.e !
            On a plein de projets en cours, des nouveaux produits qui risquent d'arriver, un site internet à maintenir, une page instagram à faire vivre,
            un logo à inventer, des gâteaux à préparer...
            Bref, on s'amuse bien et il y a de la place pour vous !<br>
        </div>
    </div>
{% endblock %}

{% block scripts %}
    {% load static %}
    <script src="{% static 'js/send_email_confirmation.js' %}"></script>
    <script>
        registerConfirmationEmailEvent("send_confirmation_email_btn");
    </script>
{% endblock %}
